#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	spice-gtk
Version		:	0.42
Release		:	14.8.0.0%{?dist}
Summary		:	A GTK+ widget for SPICE clients

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.spice-space.org/spice-gtk.html
 			#https://www.spice-space.org/download/gtk/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	gstreamer
BuildRequires	:	gst-plugins-base
BuildRequires	:	gst-plugins-good
BuildRequires	:	gtk3+
BuildRequires	:	json-glib
BuildRequires	:	libcap-ng-devel
BuildRequires	:	libsoup
BuildRequires	:	lz4-devel
BuildRequires	:	meson
BuildRequires	:	openssl-devel
BuildRequires	:	polkit-devel
BuildRequires	:	spice-protocol
BuildRequires	:	usbutils
BuildRequires	:	usbredir-devel
BuildRequires	:	vala
BuildRequires	:	valgrind-devel
BuildRequires	:	wayland-protocols
#-----------------------------------------------------------------------------
%description
Client libraries for SPICE desktop servers

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/libspice-client-gtk-3.0.so.*
%{_libdir}/girepository-1.0/SpiceClientGtk-3.0.typelib
%{_mandir}/man1/spice-client.1.gz
 
#=============================================================================
%package		devel
Summary		:	Development files to build GTK3 applications with spice-gtk-3.0
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Libraries, includes, etc. to compile with the spice-gtk3 libraries

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/spice-client-gtk-3.0/*.h
%{_libdir}/libspice-client-gtk-3.0.so
%{_libdir}/pkgconfig/spice-client-gtk-3.0.pc
%{_datadir}/gir-1.0/SpiceClientGtk-3.0.gir
 
#=============================================================================
%package		glib
Summary		:	A GObject for communicating with Spice servers
	
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description		glib
spice-client-glib-2.0 is a SPICE client library for GLib2

#-----------------------------------------------------------------------------
%files			glib
%defattr(-,root,root,-)
%{_libdir}/libspice-client-glib-2.0.so.*
%{_libdir}/girepository-1.0/SpiceClientGLib-2.0.typelib
%attr(4755,root,root) %{_libexecdir}/spice-gtk/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy
 
#=============================================================================
%package		glib-devel
Summary		:	Development files to build Glib2 applications with spice-glib-2.0
	
#-----------------------------------------------------------------------------
Requires	:	%{name}-glib	= %{version}-%{release}
Requires	:	glib-devel

#-----------------------------------------------------------------------------
%description		glib-devel
Libraries, includes, etc. to compile with
 the spice-glib-2.0 libraries

#-----------------------------------------------------------------------------
%files			glib-devel
%defattr(-,root,root,-)
%{_includedir}/spice-client-glib-2.0/*.h
%{_libdir}/libspice-client-glib-2.0.so
%{_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{_datadir}/gir-1.0/SpiceClientGLib-2.0.gir
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/style.css
 
#=============================================================================
%package		vala
Summary		:	Vala bindings for the spice-gtk-3.0 library

	
#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		vala
A module allowing use of the spice-gtk-3.0 widget from vala

#-----------------------------------------------------------------------------
%files			vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/spice-client-glib-2.0.deps
%{_datadir}/vala/vapi/spice-client-glib-2.0.vapi
%{_datadir}/vala/vapi/spice-client-gtk-3.0.deps
%{_datadir}/vala/vapi/spice-client-gtk-3.0.vapi

 
#=============================================================================
%package		tools
Summary		:	Spice-gtk tools
	
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description		tools
Simple clients for interacting with SPICE servers.
spicy is a client to a SPICE desktop server.
spicy-screenshot is a tool to capture screen-shots
of a SPICE desktop.


#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%{_bindir}/spicy
%{_bindir}/spicy-screenshot
%{_bindir}/spicy-stats
 
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D polkit=enabled				\
	-D usb-acl-helper-dir=%{_libexecdir}/spice-gtk/	\
	_bld

meson							\
	compile						\
	-C _bld


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C _bld

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
